DEMANGLE(1)

NAME
demangle - Descodifica nom de símbols C++

SYNOPSIS

demangle

DESCRIPCIó

demangle llegeix una llista de símbols C++ a través de l'entrada estàndard i els converteix a un format humanament llegible a través de l'eixida estàndard.

Aquesta utilitat forma part del joc per a desenvolupar programari del KDE.

EXEMPLE

Crea un fitxer anomenat noms que conté els següents noms de símbol:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Una vegada descodificats aquests los símbols:

    exemple$ demangle < noms Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

VEURE TAMBé

kminspector(1) kmtrace(1) match(1)

AUTHOR
Burton, Ben.